.off-screen-menu {
    display: none;
}

.navigation-wrapper {
    display: flex;
    justify-content: center;
    background-color: #1d1e20;
    color: #fff;
    z-index: 1000;
    position: fixed;
    left: 0;
    right: 0;
    height: 60px;
    transition: top 0.3s ease;
}

.nav-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: 1200px;
}

.logo a {
    display: flex;
}

.logo img {
    max-height: 40px;
}

.nav-center {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.nav-center a:hover, .right-icons i:hover {
    color: #f0a500;
    transition: color 0.3s;
}



.search-bar button:hover, .button-style:hover, #loginButton:hover, #signupButton:hover, .login-buttons button:hover {
    background: #555;
    color: #f0a500;
    transition: background 0.3s ease;
}

.wp-block-navigation {
    display: flex;
}

.wp-block-navigation a {
    margin: 0 15px;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    color: #fff;
}

.right-icons {
    display: flex;
    align-items: flex-start;
    position: relative;
}

.search-icon, .user-login {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.search-icon i, .user-login i {
    font-size: 18px;
    color: #fff;
}

.search-icon {
    margin-left: 15px;
    z-index: 1001;
}

.search-bar {
    display: none;
    background: #151618;
    padding: 20px;
    border-radius: 8px;
    position: absolute;
    top: 100%;
    right: 25px;
    width: 300px;
    margin-top: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.search-bar.visible {
    display: block; 
    top: calc(100% + 20px); 
    opacity: 1;
}

.search-bar form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.search-options {
    display: flex;
}

.category-select, .tag-select {
    flex: 1;
    margin-right: 10px;
}

.category-select label, .tag-select label {
    display: block;
    margin-bottom: 5px;
}

.search-bar input[type="text"] {
    padding: 5px;
    font-size: 16px;
    background-color: #131313;
    color: var(--text-color);
    border: 1px solid #444;
    border-radius: 4px;
}

.search-bar button {
    background-color: #131313;
    color: var(--text-color);
    border: none;
    padding: 5px;
    cursor: pointer;
    font-size: 16px;
}

.category-box, .tag-box {
    border: 1px solid #444; 
    padding: 10px; 
    border-radius: 4px; 
    background-color: #222; 
    height: 100px; 
    overflow-y: auto;
}

.styled-select {
    list-style-type: none;
    padding: 0;
    margin: 0;
    font-size: 14px;
    color: #fff;
}

.styled-select li {
    margin: 0.5em 0; 
    cursor: pointer;
}

.styled-select input[type="radio"] {
    display: none;
}

.styled-select input[type="radio"]:checked + label {
    background-color: #333333;
    color: white;
    border-color: #333333;
}

.user-login {
    margin-left: 15px;
}

.user-login-form {
    display: none;
    background: #151618;
    padding: 20px;
    border-radius: 8px;
    position: absolute;
    top: 100%;
    right: 0;
    width: 200px;
    margin-top: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

.user-login-form input[type="text"],
.user-login-form input[type="password"] {
    width: 95%;
    padding: 5px;
    font-size: 16px;
    border: none;
    outline: none;
    background-color: #131313;
    color: var(--text-color);
    border: 1px solid var(--post-card-border);
    border-radius: 4px;
    margin-bottom: 10px;
}

.forgot-password-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 0 0 10px 0 ;
    font-size: 14px;
}

.button-style {
    background: #444;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 4px;
    width: 90%;
    text-align: center;
    cursor: pointer;
    text-decoration: none;
}


.login-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.login-buttons button {
    background: #444;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 4px;
    width: 100%;
    cursor: pointer;
}

.user-profile {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profile-icon {
    border-radius: 50%;
}

.username {
    font-size: 18px;
    font-weight: bold;
}

.login-buttons {
    gap: 10px;
}

@media (max-width: 1024px) {
    
    .nav-container {
        padding: 0 15px; 
    }
    
    
    .logo img {
        width: 150px;
    }

    .wp-block-navigation a {
        font-size: 14px;
    }

    .wp-block-navigation {
        padding-top: 10px;
    }
    
    .right-icons {
        padding-top: 10px;
    }
    
    .search-icon i, .user-login i {
        font-size: 16px;
    }

}

@media (max-width: 768px) {

    .nav-center, .right-icons, .off-screen-search-bar button[type="submit"] {
        display: none;
    }

    .auth-buttons {
        display: flex;
        justify-content: space-between;
        margin-top: 20px;
    }
    
    .auth-buttons button {
        background-color: #444;
        color: #fff;
        border: none;
        padding: 10px 20px;
        font-size: 16px;
        border-radius: 4px;
        cursor: pointer;
        width: 48%;
    }
    
    .auth-buttons button:hover {
        background-color: #555;
    }

    .off-screen-container {
        width: 90%;
    }

    body {
        padding-top: 60px;
    }

    nav {
        padding: 1rem;
        display: flex;
    }

    .ham-menu {
        height: 40px;
        width: 30px;
        margin-left: auto;
        position: relative;
        top: -20%;
    }

    .ham-menu span {
        height: 4px; 
        width: 100%;
        background-color: white;
        border-radius: 25px;
        position: absolute;
        left: 40%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: .3s ease;
    }

    .ham-menu span:nth-child(1) {
        top: 25%;
    }

    .ham-menu span:nth-child(3) {
        top: 75%;
    }

    .ham-menu.active span {
        background-color: white;
    }

    .ham-menu.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .ham-menu.active span:nth-child(2) {
        opacity: 0;
    }

    .ham-menu.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .logo img {
        max-height: 30px; 
    }

    .off-screen-menu {
        background-color: #131313;
        width: 100%;
        position: fixed;
        top: 60px;
        left: 0;
        display: flex;
        text-align: left; 
        font-size: 1.5rem;
        padding: 1rem; 
        transition: top 0.3s ease; 
        opacity: 0; 
        pointer-events: none;
    }

    .off-screen-menu.active {
        opacity: 1; 
        pointer-events: auto; 
    }

    .off-screen-menu li {
        margin: 10px 0; 
    }

    .off-screen-content {
        width: 90%;
    }

    .off-screen-content a {
        color: white; 
        text-decoration: none;
        font-size: 1.2rem; 
    }

    .off-screen-menu.active .mobile-divider {
        display: block;
    }
    
    .mobile-divider {
        height: 1px;
        background: #444;
        margin: 6px 0;
        width: 112%;
    }

    .off-screen-search-bar {
        padding: 16px;
        border-radius: 8px;
        margin: 0 auto;
        box-sizing: border-box;
    }

    .off-screen-search-bar form {
        margin-top: auto;
        display: flex; 
        width: 100%; 
    }

    .off-screen-search-bar input[type="text"] {
        flex: 1; 
        padding: 10px; 
        border: 1px solid #444; 
        border-radius: 4px; 
        background-color: #222;
        color: white; 
        font-size: 16px; 
    }

    .overlay {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
    }

    .overlay.active {
        display: block;
    }
}